Plack::Server::Standalone(3)

NAME
Plack::Server::Standalone - single process standalone HTTP server

SYNOPSIS
  % plackup -s Standalone \
      --host 127.0.0.1 --port 9091 --timeout 120

DESCRIPTION
Plack::Server::Standalone is a default Plack server implementation that runs as a standalone, single-process and reasonably fast HTTP server. HTTP/1.0 and Keep-Alive requests are supported.

This server should be great for the development and testing, but not suitable for production. See Plack::Server::Standalone::Prefork if you want a multi-process prefork server.

Some features in HTTP/1.1, notably chunked requests, responses and pipeline requests are NOT supported yet.

CONFIGURATIONS

host
    Host the server binds to. Defaults to all interfaces.

port
    Port number the server listens on. Defaults to 8080.

timeout
    Number of seconds a request times out. Defaults to 300.

max-keepalive-reqs
    Max requests per a keep-alive request. Defaults to 1, which means Keep-alive is off.

keepalive-timeout
    Number of seconds a keep-alive request times out. Defaults to 2.

AUTHOR
Kazuho Oku

Tatsuhiko Miyagawa

SEE ALSO
Plack::Server::Standalone::Prefork